//	Copyright (c) 1994, University of Kansas, All Rights Reserved
//
//	Class:		TextAttribute
//	Include File:	textattr.h
//	Purpose:	Implement a way of giving a WWW style of attribute to
//			a segment of a stream of data.
//	Remarks/Portability/Dependencies/Restrictions:
//		The difference between the start and end of an attribute is
//		called extent.  Extent can be considered a correlation to
//		calling strlen on a string.
//		An extent of 0 means no duration, 1 means 1 byte, etc...
//		A negative extent is equivalent to 0 extent.
//		Once an attribute type is set by the constructor, it can
//		never be changed.
//	Revision History:
//		02-01-94	created
//		02-09-94	Split all members into seperate files.
#include"textattr.h"

TextAttribute::~TextAttribute()	{
//	Purpose:	Destruct a TextAttribute object.
//	Arguments:	void
//	Return Value:	none
//	Remarks/Portability/Dependencies/Restrictions:
//		Will not release memory pointed to for the specific
//		attribute such as vp_nothing.
//	Revision History:
//		02-01-94	created

	//	Do nothing unless needed in the future.
}
